Ellipsis APIReferenceAnalytics

Get Analytics Reviews

Return code-review analytics for the customer. account_type scopes reviewers (bot|user|all) — e.g. "what apps review the most PRs?" is the reviewer facets here with account_type=bot. Windowing: pass explicit start/end, or days (default: the last 30 days).

GET
/v1/analytics/reviews

Return code-review analytics for the customer.

account_type scopes reviewers (bot|user|all) — e.g. "what apps review the most PRs?" is the reviewer facets here with account_type=bot. Windowing: pass explicit start/end, or days (default: the last 30 days).

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

days?integer|null
start?|null
end?|null
repo?array<string>|null
author?array<string>|

Filter by reviewer login(s).

account_type?Account Type
Default"all"
review_state?array<string>|null

Header Parameters

user-agent?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/analytics/reviews"
{  "facets": {    "authors": [      {        "account_type": "string",        "avatar_url": "string",        "login": "string",        "reviews": 0      }    ],    "repos": [      {        "repository_name": "string",        "reviews": 0      }    ]  },  "review_comments": [    {      "author": {        "avatar_url": "string",        "id": 0,        "login": "string",        "type": "string"      },      "base_ref": "string",      "body_preview": "string",      "created_at": "2019-08-24T14:15:22Z",      "html_url": "string",      "id": 0,      "path": "string",      "pr_html_url": "string",      "pr_number": 0,      "pr_status": "string",      "pr_title": "string",      "repo_name": "string",      "thumbs_down": 0,      "thumbs_up": 0    }  ],  "reviews": [    {      "base_ref": "string",      "comment_count": 0,      "has_body": true,      "html_url": "string",      "id": 0,      "pr_author": {        "avatar_url": "string",        "id": 0,        "login": "string",        "type": "string"      },      "pr_html_url": "string",      "pr_number": 0,      "pr_status": "string",      "pr_title": "string",      "repo_name": "string",      "reviewer": {        "avatar_url": "string",        "id": 0,        "login": "string",        "type": "string"      },      "state": "string",      "submitted_at": "2019-08-24T14:15:22Z"    }  ],  "series": [    {      "approved": 0,      "changes_requested": 0,      "commented": 0,      "comments": 0,      "comments_bot": 0,      "comments_human": 0,      "date": "string",      "reviewers_bot": 0,      "reviewers_human": 0,      "reviewers_total": 0,      "reviews": 0    }  ],  "totals": {    "comments": 0,    "comments_bot": 0,    "comments_human": 0,    "prs": 0,    "reviewers": 0,    "reviews": 0,    "thumbs_down": 0,    "thumbs_up": 0  }}